<!DOCTYPE html>
<html xmlns:concordion="http://www.concordion.org/2007/concordion">
    <head>
        <meta charset="UTF-8" />
        <title>Tests de chargement des données de références du module F-ORE-T</title>
    </head>
    <body>
        <p>Ce test permet de vérifier que toutes les données de référence peuvent être chargées</p>

        <p>L'application est lancée.</p>
        <p>
            Au démarrage, l'utilisateur connecté est <span
                concordion:assertEquals="getUtilisateurConnected()">vide</span> et il
            y a <span concordion:assertEquals="getCountUsers()">0</span>
            utilisateur dans la base.
        </p>
        <h2>On connecte le super administrateur pour créer un utilisateur <span concordion:set="#testeurAuto">testeurAuto</span>, lui affecter des droits pour gérer les données de référence</h2>
        <ul>
            <li><a concordion:run="concordion"
                   href="../identification/LoadUsers.html">On charge les
                    utilisateurs </a></li>
            <li><a concordion:run="concordion"
                   href="../identification/ConnexionAdmin.html">On connecte
                    l'utilisateur adminTest </a></li>
            <li><a concordion:run="concordion" href="../menu/CheckMenu.html">On
                    test les menus disponibles pour cet utilisateur</a></li>
            <li><a concordion:run="concordion"
                   href="../notification/CheckNotification.html">On test les
                    notifications pour cet utilisateur</a></li>
            <li><a concordion:run="concordion"
                   href="../security/CheckRightsFast.html">On test les privilege pour
                    testeurAuto</a></li>
            <li><a concordion:run="concordion"
                   href="../identification/Deconnexion.html">On déconnecte
                    l'utilisateur adminTest </a></li>
        </ul>
        <h2>Tests avec l'utilisateur testeurAuto</h2>
        <ul>
            <li><a concordion:run="concordion"
                   href="../identification/ConnexionTesteur.html">On connecte
                    l'utilisateur testeurAuto </a></li>
            <li><a concordion:run="concordion"
                   href="../refdata/LoadRefdataFast.html">On charge les données de
                    référence</a></li>
            <li><a concordion:run="concordion"
                   href="../identification/ConnexionAdmin.html">On connecte l'utilisateur adminTest </a></li>
            <li><a concordion:run="concordion"
                   href="../security/CheckTesteurRightsFast.html">On teste les droits de
                    l'utilisateur testeurAuto</a></li>
            <li><a concordion:run="concordion"
                   href="../identification/Deconnexion.html">On déconnecte l'utilisateur adminTest </a></li>
            <li><a concordion:run="concordion"
                   href="../identification/ConnexionTesteur.html">On connecte l'utilisateur testeurAuto </a></li>
            <li><a concordion:run="concordion" href="../menu/CheckUserMenu.html">On
                    test les menus disponibles pour cet utilisateur</a></li>
            <li><a concordion:run="concordion"
                   href="dataset/LoadDatasetFast.html">On charge les fichiers de données</a></li>
            <li>
                <a concordion:run="concordion"
                   href="extraction/ExtractionFast.html">On extrait les données</a>
            </li>
            <li><a concordion:run="concordion"
                   href="dataset/UnPublishDatasetFast.html">On dépublie les données</a></li>
            <li><a concordion:run="concordion"
                   href="dataset/UnLoadDatasetFast.html">On supprime les fichiers
                    déposés</a></li>
            <li><a concordion:run="concordion"
                   href="../identification/Deconnexion.html">On déconnecte
                    l'utilisateur testeurAuto </a></li>
        </ul>
    </body>
</html>